+   [安装 scikit-learn](docs/79.md)
+   用户指南
    +   [1\. 监督学习](docs/1.md)
        + [1.1 广义线性模型](docs/2.md?id=_11-广义线性模型)
        + [1.2 线性和二次判别分析](docs/3.md?id=_12-线性和二次判别分析)
        + [1.3 内核岭回归](docs/4.md?id=_13-内核岭回归)
        + [1.4 支持向量机](docs/5.md?id=_14-支持向量机)
        + [1.5 随机梯度下降](docs/6.md?id=_15-随机梯度下降)
        + [1.6 最近邻](docs/7.md?id=_16-最近邻)
        + [1.7 高斯过程](docs/8.md?id=_17-高斯过程)
        + [1.8 交叉分解](docs/9.md?id=_18-交叉分解)
        + [1.9 朴素贝叶斯](docs/10.md?id=_19-朴素贝叶斯)
        + [1.10 决策树](docs/11.md?id=_110-决策树)
        + [1.11 集成方法](docs/12.md?id=_111-集成方法)
        + [1.12 多类和多标签算法](docs/13.md?id=_112-多类和多标签算法)
        + [1.13 特征选择](docs/14.md?id=_113-特征选择)
        + [1.14 半监督学习](docs/15.md?id=_114-半监督学习)
        + [1.15 等式回归](docs/16.md?id=_115-等式回归)
        + [1.16 概率校准](docs/17.md?id=_116-概率校准)
        + [1.17 神经网络模型（有监督）](docs/18.md?id=_117-神经网络模型（有监督）)
    +   [2\. 无监督学习](docs/19.md)
        + [2.1 高斯混合模型](docs/20.md?id=_21-高斯混合模型)
        + [2.2 流形学习](docs/21.md?id=_22-流形学习)
        + [2.3 聚类](docs/22.md?id=_23-聚类)
        + [2.4 双聚类](docs/23.md?id=_24-双聚类)
        + [2.5 分解成分中的信号（矩阵分解问题）](docs/24.md?id=_25-分解成分中的信号（矩阵分解问题）)
        + [2.6 协方差估计](docs/25.md?id=_26-协方差估计)
        + [2.7 新奇和异常值检测](docs/26.md?id=_27-新奇和异常值检测)
        + [2.8 密度估计](docs/27.md?id=_28-密度估计)
        + [2.9 神经网络模型（无监督）](docs/28.md?id=_29-神经网络模型（无监督）)
    +   [3\. 模型选择和评估](docs/33.md)
        + [3.1 交叉验证：评估估算器的表现](docs/30.md?id=_31-交叉验证：评估估算器的表现)
        + [3.2 调整估计器的超参数](docs/31.md?id=_32-调整估计器的超参数)
        + [3.3 模型评估: 量化预测的质量](docs/32.md?id=_33-模型评估--量化预测的质量)
        + [3.4 模型持久化](docs/33.md?id=_34-模型持久化)
        + [3.5 验证曲线: 绘制分数以评估模型](docs/34.md?id=_35-验证曲线--绘制分数以评估模型)
    + [4\. 检验](docs/35.md?id=_4-检验)
        + [4.1 部分依赖图](docs/36.md?id=_41-部分依赖图)    
    +   [5\. 数据集转换](docs/56.md)
        + [5.1 Pipeline（管道）和 FeatureUnion（特征联合）: 合并的评估器](docs/38.md?id=_51-pipeline（管道）和-featureunion（特征联合）--合并的评估器)
        + [5.2 特征提取](docs/39.md?id=_52-特征提取)
        + [5.3 预处理数据](docs/40.md?id=_53-预处理数据)
        + [5.4 无监督降维](docs/41.md?id=_54-无监督降维)
        + [5.5 随机投影](docs/42.md?id=_55-随机投影)
        + [5.6 内核近似](docs/43.md?id=_56-内核近似)
        + [5.7 成对的矩阵, 类别和核函数](docs/44.md?id=_57-成对的矩阵,-类别和核函数)
        + [5.8 预测目标 (`y`) 的转换](docs/45.md?id=_58-预测目标--的转换)
        + [5.9 ](docs/46.md)

    +   [6\. 数据集加载工具](docs/65.md)
    +   [7\. 使用scikit-learn计算](docs/66.md)
        +   [7.1\. 大规模计算的策略: 更大量的数据](docs/66?id=_71-大规模计算的策略-更大量的数据)
        +   [7.2\. 计算性能](docs/66?id=_72-计算性能)
        +   [7.3\. 并行,资源管理和配置]()
+   教程
    +   [使用 scikit-learn 介绍机器学习](docs/68.md)
    +   [关于科学数据处理的统计学习教程](docs/69.md)
    +   [机器学习: scikit-learn 中的设置以及预估对象](docs/70.md)
    +   [监督学习：从高维观察预测输出变量](docs/71.md)
    +   [模型选择：选择估计量及其参数](docs/72.md)
    +   [无监督学习: 寻求数据表示](docs/73.md)
    +   [把它们放在一起](docs/74.md)
    +   [寻求帮助](docs/75.md)
    +   [处理文本数据](docs/76.md)
    +   [选择正确的评估器(estimator.md)](docs/77.md)
    +   [外部资源，视频和谈话](docs/78.md)
+   [API 参考](https://scikit-learn.org/stable/modules/classes.html)
+   [常见问题](docs/80.md)
+   [时光轴](docs/81.md)
