# 3\. 模型选择和评估
* [3.1 交叉验证：评估估算器的表现](docs/30.md?id=_31-交叉验证：评估估算器的表现)
    * [3.1.1 计算交叉验证的指标](docs/30.md?id=_311-计算交叉验证的指标)
        * [3.1.1.1 cross_validate 函数和多度量评估](docs/30.md?id=_3111-cross_validate-函数和多度量评估)
        * [3.1.1.2 通过交叉验证获取预测](docs/30.md?id=_3112-通过交叉验证获取预测)
    * [3.1.2 交叉验证迭代器](docs/30.md?id=_312-交叉验证迭代器)
        * [3.1.2.1 交叉验证迭代器–循环遍历数据](docs/30.md?id=_3121-交叉验证迭代器–循环遍历数据)
            * [3.1.2.1.1 K 折](docs/30.md?id=_31211-k-折)
            * [3.1.2.1.2 重复 K-折交叉验证](docs/30.md?id=_31212-重复-k-折交叉验证)
            * [3.1.2.1.3 留一交叉验证 (LOO)](docs/30.md?id=_31213-留一交叉验证-loo)
            * [3.1.2.1.4 留 P 交叉验证 (LPO)](docs/30.md?id=_31214-留-p-交叉验证-lpo)
            * [3.1.2.1.5 随机排列交叉验证 a.k.a. Shuffle & Split](docs/30.md?id=_31215-随机排列交叉验证-aka-shuffle-&-split)
        * [3.1.2.2 基于类标签、具有分层的交叉验证迭代器](docs/30.md?id=_3122-基于类标签、具有分层的交叉验证迭代器)
            * [3.1.2.2.1 分层 k 折](docs/30.md?id=_31221-分层-k-折)
            * [3.1.2.2.2 分层随机 Split](docs/30.md?id=_31222-分层随机-split)
        * [3.1.2.3 用于分组数据的交叉验证迭代器](docs/30.md?id=_3123-用于分组数据的交叉验证迭代器)
            * [3.1.2.3.1 组 k-fold](docs/30.md?id=_31231-组-k-fold)
            * [3.1.2.3.2 留一组交叉验证](docs/30.md?id=_31232-留一组交叉验证)
            * [3.1.2.3.3 留 P 组交叉验证](docs/30.md?id=_31233-留-p-组交叉验证)
            * [3.1.2.3.4 Group Shuffle Split](docs/30.md?id=_31234-group-shuffle-split)
        * [3.1.2.4 预定义的折叠 / 验证集](docs/30.md?id=_3124-预定义的折叠-/-验证集)
        * [3.1.2.5 交叉验证在时间序列数据中应用](docs/30.md?id=_3125-交叉验证在时间序列数据中应用)
            * [3.1.2.5.1 时间序列分割](docs/30.md?id=_31251-时间序列分割)
    * [3.1.3 A note on shuffling](docs/30.md?id=_313-a-note-on-shuffling)
    * [3.1.4 交叉验证和模型选择](docs/30.md?id=_314-交叉验证和模型选择)
* [3.2 调整估计器的超参数](docs/31.md?id=_32-调整估计器的超参数)
    * [3.2.1 网格追踪法–穷尽的网格搜索](docs/31.md?id=_321-网格追踪法–穷尽的网格搜索)
    * [3.2.2 随机参数优化](docs/31.md?id=_322-随机参数优化)
    * [3.2.3 参数搜索技巧](docs/31.md?id=_323-参数搜索技巧)
        * [3.2.3.1 指定目标度量](docs/31.md?id=_3231-指定目标度量)
        * [3.2.3.2 为评估指定多个指标](docs/31.md?id=_3232-为评估指定多个指标)
        * [3.2.3.3 复合估计和参数空间](docs/31.md?id=_3233-复合估计和参数空间)
        * [3.2.3.4 模型选择：开发和评估](docs/31.md?id=_3234-模型选择：开发和评估)
        * [3.2.3.5 并行机制](docs/31.md?id=_3235-并行机制)
        * [3.2.3.6 对故障的鲁棒性](docs/31.md?id=_3236-对故障的鲁棒性)
    * [3.2.4 暴力参数搜索的替代方案](docs/31.md?id=_324-暴力参数搜索的替代方案)
        * [3.2.4.1 模型特定交叉验证](docs/31.md?id=_3241-模型特定交叉验证)
        * [3.2.4.2 信息标准](docs/31.md?id=_3242-信息标准)
        * [3.2.4.3 出袋估计](docs/31.md?id=_3243-出袋估计)
* [3.3 模型评估: 量化预测的质量](docs/32.md?id=_33-模型评估:-量化预测的质量)
    * [3.3.1 `scoring` 参数: 定义模型评估规则](docs/32.md?id=_331-`scoring`-参数:-定义模型评估规则)
        * [3.3.1.1 常见场景: 预定义值](docs/32.md?id=_3311-常见场景:-预定义值)
        * [3.3.1.2 根据 metric 函数定义您的评分策略](docs/32.md?id=_3312-根据-metric-函数定义您的评分策略)
        * [3.3.1.3 实现自己的记分对象](docs/32.md?id=_3313-实现自己的记分对象)
        * [3.3.1.4 使用多个指数评估](docs/32.md?id=_3314-使用多个指数评估)
    * [3.3.2 分类指标](docs/32.md?id=_332-分类指标)
        * [3.3.2.1 从二分到多分类和 multilabel](docs/32.md?id=_3321-从二分到多分类和-multilabel)
        * [3.3.2.2 精确度得分](docs/32.md?id=_3322-精确度得分)
        * [3.3.2.3 Balanced accuracy score](docs/32.md?id=_3323-balanced-accuracy-score)
        * [3.3.2.4 Cohen’s kappa](docs/32.md?id=_3324-cohen’s-kappa)
        * [3.3.2.5 混淆矩阵](docs/32.md?id=_3325-混淆矩阵)
        * [3.3.2.6 分类报告](docs/32.md?id=_3326-分类报告)
        * [3.3.2.7 汉明损失](docs/32.md?id=_3327-汉明损失)
        * [3.3.2.8 精准，召回和 F-measures](docs/32.md?id=_3328-精准，召回和-f-measures)
            * [3.3.2.8.1 二分类](docs/32.md?id=_33281-二分类)
            * [3.3.2.8.2 多类和多标签分类](docs/32.md?id=_33282-多类和多标签分类)
        * [3.3.2.9 Jaccard 相似系数 score](docs/32.md?id=_3329-jaccard-相似系数-score)
        * [3.3.2.10 Hinge loss](docs/32.md?id=_33210-hinge-loss)
        * [3.3.2.11 Log 损失](docs/32.md?id=_33211-log-损失)
        * [3.3.2.12 马修斯相关系数](docs/32.md?id=_33212-马修斯相关系数)
        * [3.3.2.13 多标记混淆矩阵](docs/32.md?id=_33213-多标记混淆矩阵)
        * [3.3.2.14 Receiver operating characteristic (ROC)](docs/32.md?id=_33214-receiver-operating-characteristic-roc)
        * [3.3.2.15 零一损失](docs/32.md?id=_33215-零一损失)
        * [3.3.2.16 Brier 分数损失](docs/32.md?id=_33216-brier-分数损失)
    * [3.3.3 多标签排名指标](docs/32.md?id=_333-多标签排名指标)
        * [3.3.3.1 覆盖误差](docs/32.md?id=_3331-覆盖误差)
        * [3.3.3.2 标签排名平均精度](docs/32.md?id=_3332-标签排名平均精度)
        * [3.3.3.3 排序损失](docs/32.md?id=_3333-排序损失)
    * [3.3.4 回归指标](docs/32.md?id=_334-回归指标)
        * [3.3.4.1 解释方差得分](docs/32.md?id=_3341-解释方差得分)
        * [3.3.4.2 最大误差](docs/32.md?id=_3342-最大误差)
        * [3.3.4.3 平均绝对误差](docs/32.md?id=_3343-平均绝对误差)
        * [3.3.4.4 均方误差](docs/32.md?id=_3344-均方误差)
        * [3.3.4.5 均方误差对数](docs/32.md?id=_3345-均方误差对数)
        * [3.3.4.6 中位绝对误差](docs/32.md?id=_3346-中位绝对误差)
        * [3.3.4.7 R² score, 可决系数](docs/32.md?id=_3347-r²-score,-可决系数)
    * [3.3.5 聚类指标](docs/32.md?id=_335-聚类指标)
    * [3.3.6 虚拟估计](docs/32.md?id=_336-虚拟估计)
* [3.4 模型持久化](docs/33.md?id=_34-模型持久化)
    * [3.4.1 持久化示例](docs/33.md?id=_341-持久化示例)
    * [3.4.2 安全性和可维护性的局限性](docs/33.md?id=_342-安全性和可维护性的局限性)
* [3.5 验证曲线: 绘制分数以评估模型](docs/34.md?id=_35-验证曲线:-绘制分数以评估模型)
    * [3.5.1 验证曲线](docs/34.md?id=_351-验证曲线)
    * [3.5.2 学习曲线](docs/34.md?id=_352-学习曲线)
